/*
 * Principal.java
 *
 * Created on 19/05/2011, 09:44:35
 * License: GPLv3
 */
package jogo;

import java.util.ArrayList;

/**
 *
 * @author Emerson Ribeiro de Mello
 */
public class ClientePrincipal extends javax.swing.JFrame {

    private Servidor s;
    private NovoJogo novo;
    private ClienteThread ct;
    private ArrayList<Carta> baralho;
    private int posicialInicialX;// coordenada X onde deve aparecer a 1a. carta
    private int posicialInicialY;// coordenada Y onde deve aparecer a 1a. carta
    //private Mensagens msg;
    private boolean conectado = false;
    private String CartaDoCentro;
    private String CartaAdversario;
    private int Truco;
    private int Verso;
    private int bAumentar;

    /** Creates new form Principal */
    public ClientePrincipal() {
        this.posicialInicialX = 5;
        this.posicialInicialY = 5;
        this.baralho = new ArrayList<Carta>();
        //this.criaBaralho();
        initComponents();
        this.setLocationRelativeTo(null);
        this.Truco = 1;
        this.Verso = 0;
        this.bAumentar = 0;
        novo = new NovoJogo(this, true);

    }

    public void adicionarLinha(String msg) {

        //jTAMensagens.insert(msg + "\n", 0);
        jTAMensagens.append(msg + "\n");

    }

    /**
     * Cria as cartas e adiciona no baralho
     * Adaptado de:
     * Fred Swartz - February 19, 2007 - Placed in public domain.
     */
    public void IniciarServidor() {

        s = new Servidor();
        s.start();
    }


    public void ConectarServidor(String Ip, String Nome) {


           if (conectado == false) {
           ct = new ClienteThread(Ip, this, Nome);
           this.jLVoce.setText(Nome);
           ct.start();

           // desabilitando caixa de texto
           //jTFNome.setEnabled(false);
           //jBConectar.setText("Desconectar");
           //conectado = true;
       } else {
           //ct.enviarMensagem("FIM");
           //conectado = false;
           //jTFNome.setEnabled(true);
           //jBConectar.setText("Conectar");

       }

    }

    public int getPosicialInicialX() {
        return posicialInicialX;
    }

    public int getPosicialInicialY() {
        return posicialInicialY;
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPMesa = new Mesa(this, this.baralho);
        jPLateral = new javax.swing.JPanel();
        jScrollPane1 = new javax.swing.JScrollPane();
        jTAMensagens = new javax.swing.JTextArea();
        jTextField1 = new javax.swing.JTextField();
        jButton1 = new javax.swing.JButton();
        jLVoce = new javax.swing.JLabel();
        JLAdversario = new javax.swing.JLabel();
        jLPontos1 = new javax.swing.JLabel();
        jLPontos2 = new javax.swing.JLabel();
        jLPlacarSet1 = new javax.swing.JLabel();
        jLPlacarSet2 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        jBTrucar = new javax.swing.JButton();
        jBAumentar = new javax.swing.JButton();
        jBAceitar = new javax.swing.JButton();
        jBFugir = new javax.swing.JButton();
        jMenuBar1 = new javax.swing.JMenuBar();
        jMenu1 = new javax.swing.JMenu();
        Novo = new javax.swing.JMenuItem();
        jMenuItem4 = new javax.swing.JMenuItem();
        jMenu2 = new javax.swing.JMenu();
        jMenuItem1 = new javax.swing.JMenuItem();
        jMenuItem2 = new javax.swing.JMenuItem();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("JTrucoOO - Jogo de Cartas");
        setBackground(new java.awt.Color(1, 1, 1));
        setResizable(false);

        jPMesa.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        javax.swing.GroupLayout jPMesaLayout = new javax.swing.GroupLayout(jPMesa);
        jPMesa.setLayout(jPMesaLayout);
        jPMesaLayout.setHorizontalGroup(
            jPMesaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 548, Short.MAX_VALUE)
        );
        jPMesaLayout.setVerticalGroup(
            jPMesaLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 443, Short.MAX_VALUE)
        );

        jPLateral.setBorder(javax.swing.BorderFactory.createEtchedBorder());

        jTAMensagens.setColumns(20);
        jTAMensagens.setRows(5);
        jScrollPane1.setViewportView(jTAMensagens);

        jButton1.setText("Enviar");
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jButton1ActionPerformed(evt);
            }
        });

        jLVoce.setText("Jogador1:");

        JLAdversario.setText("Jogador2:");

        jLPontos1.setText("00");

        jLPontos2.setText("00");

        jLPlacarSet1.setText("0");

        jLPlacarSet2.setText("0");

        jLabel8.setText("PLACAR DO JOGO:");

        jBTrucar.setText("Trucar");
        jBTrucar.setEnabled(false);
        jBTrucar.addChangeListener(new javax.swing.event.ChangeListener() {
            public void stateChanged(javax.swing.event.ChangeEvent evt) {
                jBTrucarStateChanged(evt);
            }
        });
        jBTrucar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jBTrucarActionPerformed(evt);
            }
        });

        jBAumentar.setText("Aumentar");
        jBAumentar.setEnabled(false);
        jBAumentar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jBAumentarActionPerformed(evt);
            }
        });

        jBAceitar.setText("Aceitar");
        jBAceitar.setEnabled(false);
        jBAceitar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jBAceitarActionPerformed(evt);
            }
        });

        jBFugir.setText("Fugir");
        jBFugir.setEnabled(false);
        jBFugir.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jBFugirActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout jPLateralLayout = new javax.swing.GroupLayout(jPLateral);
        jPLateral.setLayout(jPLateralLayout);
        jPLateralLayout.setHorizontalGroup(
            jPLateralLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPLateralLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(jPLateralLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLabel8)
                    .addGroup(jPLateralLayout.createSequentialGroup()
                        .addGroup(jPLateralLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(jLVoce, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 78, Short.MAX_VALUE)
                            .addComponent(JLAdversario, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 78, Short.MAX_VALUE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(jPLateralLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPLateralLayout.createSequentialGroup()
                                .addComponent(jLPontos2, javax.swing.GroupLayout.DEFAULT_SIZE, 78, Short.MAX_VALUE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(jLPlacarSet2, javax.swing.GroupLayout.DEFAULT_SIZE, 78, Short.MAX_VALUE))
                            .addGroup(jPLateralLayout.createSequentialGroup()
                                .addComponent(jLPontos1, javax.swing.GroupLayout.DEFAULT_SIZE, 78, Short.MAX_VALUE)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(jLPlacarSet1, javax.swing.GroupLayout.DEFAULT_SIZE, 78, Short.MAX_VALUE)))))
                .addGap(37, 37, 37))
            .addGroup(jPLateralLayout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(jBTrucar)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jBAumentar)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jBAceitar)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jBFugir)
                .addGap(18, 18, 18))
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPLateralLayout.createSequentialGroup()
                .addComponent(jTextField1, javax.swing.GroupLayout.DEFAULT_SIZE, 235, Short.MAX_VALUE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jButton1))
            .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 295, Short.MAX_VALUE)
        );
        jPLateralLayout.setVerticalGroup(
            jPLateralLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPLateralLayout.createSequentialGroup()
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 170, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPLateralLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(jTextField1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(jButton1))
                .addGap(73, 73, 73)
                .addComponent(jLabel8)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addGroup(jPLateralLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPLateralLayout.createSequentialGroup()
                        .addGroup(jPLateralLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLVoce, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(jLPontos1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(jLPlacarSet1, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addGroup(jPLateralLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(JLAdversario, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(jLPontos2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(jLPlacarSet2, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                        .addGap(60, 60, 60))
                    .addGroup(jPLateralLayout.createSequentialGroup()
                        .addGap(78, 78, 78)
                        .addGroup(jPLateralLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jBAumentar)
                            .addComponent(jBAceitar)
                            .addComponent(jBTrucar)
                            .addComponent(jBFugir))))
                .addGap(14, 14, 14))
        );

        jMenu1.setText("Jogo");
        jMenu1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jMenu1ActionPerformed(evt);
            }
        });
        jMenu1.addAncestorListener(new javax.swing.event.AncestorListener() {
            public void ancestorMoved(javax.swing.event.AncestorEvent evt) {
            }
            public void ancestorAdded(javax.swing.event.AncestorEvent evt) {
                jMenu1AncestorAdded(evt);
            }
            public void ancestorRemoved(javax.swing.event.AncestorEvent evt) {
            }
        });

        Novo.setText("Novo");
        Novo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                NovoActionPerformed(evt);
            }
        });
        jMenu1.add(Novo);

        jMenuItem4.setText("Sair");
        jMenu1.add(jMenuItem4);

        jMenuBar1.add(jMenu1);

        jMenu2.setText("Ajuda");

        jMenuItem1.setText("Manual");
        jMenu2.add(jMenuItem1);

        jMenuItem2.setText("Sobre");
        jMenu2.add(jMenuItem2);

        jMenuBar1.add(jMenu2);

        setJMenuBar(jMenuBar1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addComponent(jPMesa, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(jPLateral, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jPMesa, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
            .addGroup(layout.createSequentialGroup()
                .addComponent(jPLateral, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

   private void jButton1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jButton1ActionPerformed
       String msg = jTextField1.getText();

       this.adicionarLinha(msg);
       this.enviarMensagem(msg);


       jTextField1.setText("");
       jTextField1.requestFocus();
   }//GEN-LAST:event_jButton1ActionPerformed

    public void recebeCartaMesa(String corpo) {
        this.SuaVez(0);
        String carta[] = corpo.split(".png");

        ct.enviaCartaServidor(carta[0] + ":" + this.getVerso());
        this.setVerso(0);
    }

    public void enviarMensagem(String corpo) {

        ct.enviarMensagem(corpo);

    }

   private void jMenu1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jMenu1ActionPerformed
   }//GEN-LAST:event_jMenu1ActionPerformed

   private void NovoActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_NovoActionPerformed

       
       novo.setLocationRelativeTo(this);
       novo.setVisible(true);

       // TODO add your handling code here:
   }//GEN-LAST:event_NovoActionPerformed

   private void jBTrucarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jBTrucarActionPerformed

       ct.PedeTruco();
       this.SuaVez(0);
       this.Truco = 3;
       this.bAumentar = 1;
       jBTrucar.setEnabled(false);


   }//GEN-LAST:event_jBTrucarActionPerformed

   private void jBAumentarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jBAumentarActionPerformed

       this.SuaVez(0);
       ct.PedeTruco();
       jBAumentar.setEnabled(false);
       jBAceitar.setEnabled(false);
       jBFugir.setEnabled(false);
       if (bAumentar==0){
           bAumentar =1;
       }


   }//GEN-LAST:event_jBAumentarActionPerformed

   private void jBAceitarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jBAceitarActionPerformed

       ct.AceitarTruco();
       jBAumentar.setEnabled(false);
       jBAceitar.setEnabled(false);
       jBFugir.setEnabled(false);
       this.bAumentar =0;



   }//GEN-LAST:event_jBAceitarActionPerformed

   private void jBTrucarStateChanged(javax.swing.event.ChangeEvent evt) {//GEN-FIRST:event_jBTrucarStateChanged
       // TODO add your handling code here:
   }//GEN-LAST:event_jBTrucarStateChanged

   private void jBFugirActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jBFugirActionPerformed

       jBAumentar.setEnabled(false);
       jBAceitar.setEnabled(false);
       jBFugir.setEnabled(false);
       ct.Fugir();
   }//GEN-LAST:event_jBFugirActionPerformed

   private void jMenu1AncestorAdded(javax.swing.event.AncestorEvent evt) {//GEN-FIRST:event_jMenu1AncestorAdded
       // TODO add your handling code here:
}//GEN-LAST:event_jMenu1AncestorAdded

    public void criaBaralhoJogador(String cJogador) {

        //Classe não é mais private
        //Servidor pode criar criar baralho

        String cartasJogador[] = cJogador.split(":");
        int px = 150;
        int py = 320;
        for (int i = 0; i < 4; i++) {
            String caminho = cartasJogador[i] + ".png";
            Carta ca = new Carta(caminho, false);
            if (i == 3) {
                ca.mover(5, 5);
            } else {
                ca.mover(px, py);
                px += 80;
            }

            this.baralho.add(ca);
        }



        this.jPMesa.repaint();

    }

    public void criaCartaAdversario(String ArqImagem) {
        Carta ca;
        String CartaVerso[] = ArqImagem.split(":");
        if (CartaVerso[1].equals("0")) {
            ca = new Carta(CartaVerso[0] + ".png", false);
        } else {
            ca = new Carta(CartaVerso[0] + ".png", true);
        }

        ca.mover(230, 5);
        this.baralho.add(ca);
        this.jPMesa.repaint();

    }

    public void SuaVez(int desbloqueiaCartas) {

        if (desbloqueiaCartas == 1) {
            ((Mesa) this.jPMesa).setBloqueiaClick(1);
            if (Truco == 1) {
                this.jBTrucar.setEnabled(true);
            } else {
                this.jBTrucar.setEnabled(false);
                if (Truco != 12) {
                    if (this.bAumentar ==0){
                        this.jBAumentar.setEnabled(true);
                    }
                    
                }

            }

            this.adicionarLinha("Escolha sua carta!");
        } else {
            ((Mesa) this.jPMesa).setBloqueiaClick(0);
            this.jBAceitar.setEnabled(false);
            this.jBAumentar.setEnabled(false);
            this.jBTrucar.setEnabled(false);

        }
    }

    public void LimpaCartas(int c) {

        Carta ca = null;
        Carta cb = null;

        if (c == 0) {
            for (Carta carta : baralho) {
                if (carta.getX() == 230 && carta.getY() == 170) {
                    ca = carta;
                    break;
                }

            }

            for (Carta carta : baralho) {
                if (carta.getX() == 230 && carta.getY() == 5) {
                    cb = carta;
                    break;
                }

            }

            this.baralho.remove(ca);
            this.baralho.remove(cb);

        } else {
            this.baralho.removeAll(baralho);

        }

        this.jPMesa.repaint();

    }

    public void Trucado(String ValorTruco) {


        this.Truco = Integer.parseInt(ValorTruco);
        System.out.println("O valor do truco aqui eh: " + Truco);
        if (ValorTruco.equals("12")) {
            jBTrucar.setEnabled(false);
            jBAceitar.setEnabled(true);
            jBFugir.setEnabled(true);

        } else {
            jBTrucar.setEnabled(false);
            jBAceitar.setEnabled(true);
            jBAumentar.setEnabled(true);
            jBFugir.setEnabled(true);

        }

    }

    public void MarcaPlacar(int t, String p) {
        String Pontos[] = p.split(":");
        if (t == 0) {
            jLPontos1.setText(Pontos[0]);
            jLPontos2.setText(Pontos[1]);
        } else {
            jLPlacarSet1.setText(Pontos[0]);
            jLPlacarSet2.setText(Pontos[1]);
            jLPontos1.setText("0");
            jLPontos2.setText("0");
        }

        this.bAumentar =0;
    }

    public void bloqueiaVira(){
        ((Mesa) this.jPMesa).setBoqueiaVira(1);
    }

    public void NomeAdversario(String Nome){
        this.JLAdversario.setText(Nome);
    }
    public void LimpaMsg() {
        jTAMensagens.setText("");
    }

    public String getCartaAdversario() {
        return CartaAdversario;
    }

    public void setCartaAdversario(String CartaAdversario) {
        this.CartaAdversario = CartaAdversario;
    }

    public String getCartaDoCentro() {
        return CartaDoCentro;
    }

    public void setCartaDoCentro(String CartaDoCentro) {
        this.CartaDoCentro = CartaDoCentro;
    }

    public void setTruco(int Truco) {
        this.Truco = Truco;
    }

    public int getVerso() {
        return Verso;
    }

    public void setVerso(int Verso) {
        this.Verso = Verso;
    }


    


    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {

            @Override
            public void run() {
                new ClientePrincipal().setVisible(true);


            }
        });
    }
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel JLAdversario;
    private javax.swing.JMenuItem Novo;
    private javax.swing.JButton jBAceitar;
    private javax.swing.JButton jBAumentar;
    private javax.swing.JButton jBFugir;
    private javax.swing.JButton jBTrucar;
    private javax.swing.JButton jButton1;
    private javax.swing.JLabel jLPlacarSet1;
    private javax.swing.JLabel jLPlacarSet2;
    private javax.swing.JLabel jLPontos1;
    private javax.swing.JLabel jLPontos2;
    private javax.swing.JLabel jLVoce;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JMenu jMenu1;
    private javax.swing.JMenu jMenu2;
    private javax.swing.JMenuBar jMenuBar1;
    private javax.swing.JMenuItem jMenuItem1;
    private javax.swing.JMenuItem jMenuItem2;
    private javax.swing.JMenuItem jMenuItem4;
    private javax.swing.JPanel jPLateral;
    private javax.swing.JPanel jPMesa;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JTextArea jTAMensagens;
    private javax.swing.JTextField jTextField1;
    // End of variables declaration//GEN-END:variables
}
