package jogo;

import java.io.IOException;
import java.io.ObjectOutputStream;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.ArrayList;
import java.util.Collections;
import java.util.Random;
import java.util.logging.Level;
import java.util.logging.Logger;

public class Servidor extends Thread {

    private ArrayList<String> baralho;
    private Random sementeAleatoria;
    private String Carta1;
    private int ContaRodada;
    private int valorTruco;
    private int jPlacar01;
    private int jPlacar11;
    private int jPlacar02;
    private int jPlacar12;
    private int jPlacar03;
    private int jPlacar13;
    private int Trucador;
    private String Nome1;
    private String Nome2;


    public Servidor() {
        this.baralho = new ArrayList<String>();
        this.sementeAleatoria = new Random();
        this.ContaRodada = 1;
        this.valorTruco = 1;
        this.jPlacar01 = 0 ;
        this.jPlacar11 = 0;
        this.Trucador =5;



    }

    public void criaBaralho() {
        //cria baralho de String
        String naipe = "oecp";
        String frente = "1234567djq";
        for (int n = 0; n < naipe.length(); n++) {
            for (int f = 0; f < frente.length(); f++) {
                //String caminho = "" + frente.charAt(f) + naipe.charAt(n);;
                String cj = "" + frente.charAt(f) + naipe.charAt(n);
                this.baralho.add(cj);
            }
        }
    }

    public void embaralhar() {
        // embaralha os elementos do ArrayList
        Collections.shuffle(this.baralho, this.sementeAleatoria);
    }

    @Override
    public void run() {
        ArrayList<ObjectOutputStream> saidaDosClientes =
                new ArrayList<ObjectOutputStream>();


        try {
            ServerSocket servidor = new ServerSocket(1234, 2);
            this.criaBaralho();
            this.embaralhar();
            while (true) {
                Socket conexao = servidor.accept();

                //Thread t = new ServidorThread(conexao, saidaDosClientes, baralho);
                //t.start();
                // armazena o socket de todos os clientes conectados
                if (saidaDosClientes.size() < 2) {
                    // se houve conexao, então dispare uma thread para interagir com o cliente
                    Thread t = new ServidorThread(conexao, saidaDosClientes, baralho, this);
                    t.start();

                } else {
                    System.err.println("Fluxo bloqueado");
                    ObjectOutputStream fluxoSaida = new ObjectOutputStream(conexao.getOutputStream());
                    //fluxoSaida.writeObject(new Mensagem(30, "", false, null));
                    fluxoSaida.close();

                }
            }

        } catch (IOException ex) {
            Logger.getLogger(Servidor.class.getName()).log(Level.SEVERE, null, ex);

        }
    }

    public void ContaRodada() {

        ContaRodada++;
        this.setContaRodada(ContaRodada);

    }

    public String getCarta1() {
        return Carta1;
    }

    public void setCarta1(String Carta1) {
        this.Carta1 = Carta1;
    }

    public int getContaRodada() {
        return ContaRodada;
    }

    public void setContaRodada(int ContaRodada) {
        this.ContaRodada = ContaRodada;
    }

    public int getValorTruco() {
        return valorTruco;
    }

    public void setValorTruco(int valorTruco) {
        this.valorTruco = valorTruco;
    }
    
    //
    public void jPlacar03() {
        jPlacar03++;
    }
    public int getjPlacar03() {
        return jPlacar03;
    }

    //
    public void jPlacar13() {
        jPlacar13++;
    }
    public int getjPlacar13() {
        return jPlacar13;
    }

    //
    public void jPlacar01() {
        jPlacar01++;
    }
    public int getjPlacar01() {
        return jPlacar01;
    }

    //
    public void jPlacar02() {
        jPlacar02++;
    }
    public int getjPlacar02() {
        return jPlacar02;
    }

    //
    public void jPlacar11() {
        jPlacar11++;
    }
    public int getjPlacar11() {
        return jPlacar11;
    }

    //
    public void jPlacar12() {
        jPlacar12++;
    }
    public int getjPlacar12() {
        return jPlacar12;
    }

    public void setjPlacar02(int jPlacar02) {
        this.jPlacar02 = jPlacar02;
    }

    public void setjPlacar12(int jPlacar12) {
        this.jPlacar12 = jPlacar12;
    }

    public void setjPlacar01(int jPlacar01) {
        this.jPlacar01 = jPlacar01;
    }

    public void setjPlacar11(int jPlacar11) {
        this.jPlacar11 = jPlacar11;
    }

    public int getTrucador() {
        return Trucador;
    }

    public void setTrucador(int Trucador) {
        this.Trucador = Trucador;
    }

    public String getNome1() {
        return Nome1;
    }

    public void setNome1(String Nome1) {
        this.Nome1 = Nome1;
    }

    public String getNome2() {
        return Nome2;
    }

    public void setNome2(String Nome2) {
        this.Nome2 = Nome2;
    }

    public void setjPlacar03(int jPlacar03) {
        this.jPlacar03 = jPlacar03;
    }

    public void setjPlacar13(int jPlacar13) {
        this.jPlacar13 = jPlacar13;
    }
    

}
